Start on phone boot
Description

Beem is great! :) Thanks very much for the good work.

Feature request:

An option to start Beem when the phone is booted.

Merci beaucoup :)

Related issues:

Has duplicate Feature #335: Auto login on phone startup New 01/14/2011
Has duplicate Support #362: Auto connect New 06/29/2011 06/29/2014
Has duplicate Feature #494: Lancement d'un daemon au démarrage du systéme New 06/26/2013

Follows Feature #259: Improve support for reconnections

Assigned 04/19/2010

History

#1 - 05/22/2010 01:13 AM - David Harris

To be more clear, I'd expect "Start in the background and connect to account at phone boot", not just launching.

#2 - 07/01/2010 05:18 PM - Frédéric Barthéléry

- Priority changed from Normal to Low

It is not a hard feature to implement but | think we need to improve the automatic reconnection before (#259) , if we want it to be usefull. But if

someone want to add the feature, | will be happy to help.

#3 - 02/23/2012 11:08 AM - squib shout

With version 17 available on F-droid | have recommended it to friends as THE otr capable client for android.

| have touted xmpp as a replacement for sms. Beem cannot serve that role for those people without this start-up and login at boot feature

Xabber and yaxim have this feature but not OTR cryptograms. Gibberbot does AFAIK but it is MUCH glitchier than beem ergo not common user

suitable
Of related importaance is a FORCE OTR (require encryption) like Psi+
| would see two variants

1
Always try to auto initiate encryption whether the chat initiator or hat recipient

2
Disallow communication if either not OTR capable or if OTR not soon initiated
